<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>PHOTOS</title>

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter+Tight:wght@100..900&display=swap" rel="stylesheet">
    <style>
        html {
            font-size: 0.625em;
        }

        body {
            --dark: #182529;
            --citrus: #E4F23C;
            --aqua: #21D5D5;
            --cyan: #66D9FF;
            --blue: #019FC4;
            --protestant: #156578;
            --white: #fff;

            background: var(--dark);
            color: #E4F23C;
            font: 2.4rem/1 "Inter Tight", sans-serif;
            font-optical-sizing: auto;
            margin: 0;
            padding: 0 0 0 0;
            text-align: center;
        }
        


        .H1 {
            color: #E4F23C;
            display: flex;
            font-weight: 600;
            justify-content: space-between;
            position: relative;
        }        

        header span {
            display: block;
            font-size: clamp(1.2rem, 1.6vw, 1.6rem);
            margin-bottom: clamp(1rem, 3vw, 3rem);
        }

        section {
            font-weight: 700;
            margin: clamp(13rem, 25vw, 25rem) auto;
        }

        p {
            margin: 5rem auto;
        }

        @media(max-width: 200px) {
            .card .contact {
                flex-direction: column;
                gap: 5rem;
            } 
        }



    </style>
</head>

<body>
            
       

<center>
<p>
<br><br>
<H1>Galerie Photos</H1>
<br><br>
</p>


<?php
// "./" représente le dossier actuel où est exécuté le script, par exemple pour accéder au dossier "monDossier", mettez "./monDossier"
// vous pouvez également aller dans des sous répertoire en mettant "../" au lieu de "./"
$scandir = scandir("./images");
//Lister toutes images ayant les extensions jpg, jpeg, png, gif, bmp et tif
foreach($scandir as $fichier){
  
  if(preg_match("#\.(jpg|jpeg|png|gif|bmp|tif)$#i", $fichier)){
    
    //la preg_match définie : \.(jpg|jpeg|png|gif|bmp|tif)$
    
    //Elle commence par un point "." (doit être échappé avec anti-slash \ car le point veut dire "tous les caractères" sinon)
    
    //"|" parenthèses avec des barres obliques dit "ou" (plusieurs possibilités : jpg ou jpeg ou png...)
    
    //La condition "$" signifie que le nom du fichier doit se terminer par la chaîne spécifiée. Par exemple, un fichier nommé 'monFichier.jpg.php' ne sera pas accepté, car il ne se termine pas par '.jpg', '.jpeg', '.png' ou toute autre extension souhaitée.
    
echo "<a href='imagesHD/$fichier' target='blank'><img src='imagesBD/$fichier' height='300' border='0'></a> &nbsp; ";
  }
}
?>


</center>

</body>
</html>